### Method

# Adw ClampLayoutset_unit

since: 1.4

#### Declaration [src]

    void
    adw_clamp_layout_set_unit (
      AdwClampLayout* self,
      AdwLengthUnit unit
    )

#### Description [src]

Sets the length unit for maximum size and tightening threshold.

Allows the sizes to vary depending on the text scale factor.

Available since: 1.4

Sets property | `Adw.ClampLayout:unit`

#### Parameters

`unit`

  Type: `AdwLengthUnit`

  The length unit.